using adas_core.Domain.Models;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface ITreatmentArchiveRepository
{
    Task InsertOneAsync(PatientTreatment patientTreatment);
    Task DeleteBeforeDate(DateTime date);
    Task<long> InsertBatch(IEnumerable<PatientTreatment> treatments);

    Task<List<PatientTreatment>> FindAllFromPatient(ObjectId patientId);
}